/// <reference types="node" />
import { Plugin, PluginServiceApi } from '@cloudbase/framework-core';
import { SpawnOptionsWithoutStdio } from 'child_process';
export interface IFrameworkPluginLowCodeInputs {
}
export declare type ResolvedInputs = IFrameworkPluginLowCodeInputs;
declare class LowCodeIntallerPlugin extends Plugin {
    name: string;
    api: PluginServiceApi;
    inputs: IFrameworkPluginLowCodeInputs;
    protected _lowcodePlugin: any;
    protected _inputs: any;
    constructor(name: string, api: PluginServiceApi, inputs: IFrameworkPluginLowCodeInputs);
    _subPluginConstructor(): Promise<void>;
    init(): Promise<void>;
    run(): Promise<void>;
    remove(): Promise<void>;
    genCode(): Promise<void>;
    build(): Promise<any>;
    compile(): Promise<any>;
    deploy(): Promise<any>;
}
export declare const plugin: typeof LowCodeIntallerPlugin;
export declare function spawnPromise(command: string, args: string[], options: SpawnOptionsWithoutStdio): Promise<unknown>;
export {};
//# sourceMappingURL=index.d.ts.map